// Задача "Строки"
// 8-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Федор Царев, tsarev@rain.ifmo.ru

import java.io.*;
import java.util.*;

public class strings_ft implements Runnable {

	private BufferedReader in;
	private PrintWriter out;
	String fname = "strings";

	public void solve() throws IOException {
		String s1 = in.readLine();
		String s2 = in.readLine();
		long[] c1 = new long[26];
		long[] c2 = new long[26];
		for (int i = 0; i < s1.length(); i++) {
			char ch = s1.charAt(i);
			c1[ch - 'a']++;
		}
		for (int i = 0; i < s2.length(); i++) {
			char ch = s2.charAt(i);
			c2[ch - 'a']++;
		}
		long ans = 0;
		for (int i = 0; i < 26; i++) {
			for (int j = 0; j < 26; j++) {
				ans += c1[i] * c2[j] * Math.min(Math.abs(i - j), 26 - Math.abs(i - j));
			}
		}
		out.println(ans * s1.length());
	}

	public void run() {
		try {
			solve();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		} finally {
			out.close();
		}		
	}

	public strings_ft() {
		try {
			in = new BufferedReader(new FileReader(fname + ".in"));
			out = new PrintWriter(new File(fname + ".out"));
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
	}


	public static void main(String[] args) {
		new Thread(new strings_ft()).start();
	}

}